Skip to main content
GET
/
environments
/
{environmentId}
/
events
/
{eventId}
Get an environment event by ID
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/events/{eventId} \
  --header 'Authorization: Bearer <token>'
{
  "eventId": "95b11417-f18f-457f-8804-68e361f9164f",
  "environmentId": "95b11417-f18f-457f-8804-68e361f9164f",
  "environmentName": "sandbox",
  "eventName": "<string>",
  "timestamp": "2023-11-07T05:31:56Z",
  "data": {},
  "context": {
    "userId": "<string>",
    "version": "<string>"
  },
  "eventAction": "<string>",
  "resourceType": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

eventId
string
required

ID of the event

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Event for this project environment

eventId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

environmentId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

environmentName
enum<string>
required
Available options:
sandbox,
live
eventName
string
required

Dotted event name identifier (e.g. "admin.user.created")

timestamp
string<date-time>
required

ISO 8601 timestamp of when the event occurred

data
object
required

Event payload containing the resource data at the time of the event

context
object
required
eventAction
string

The action that occurred (e.g. "created", "updated", "deleted")

resourceType
string

Type of resource affected by the event (e.g. "user", "wallet", "webhook")